Find All Orders
Retrieve all orders of an entity. With pagination and filtering options.
Notes
- Currency codes follow
ISO 4217standard - Codes shown in example have been altered and made invalid
- Price information may have been altered in the documentation
- Only orders matching the state of the API key will be shown
- Dates follow
ISO 8601standard
Authorization
bearerAuth Add your API key here
In: header
Query Parameters
Number of results per page
Page number
Starting date time range to filter from.
Format: yyyy-MM-dd'T'HH:mm:ssXXX (ISO 8601). The offset is required and may be any timezone,
either Z for UTC or a ±HH:mm offset. Values are converted to UTC before filtering,
so 2026-03-25T08:00:00Z and 2026-03-25T10:00:00+02:00 select the exact same orders.
Examples: 2026-03-25T08:00:00Z (UTC) / 2026-03-25T10:00:00+02:00 (CEST) / 2026-03-25T04:00:00-04:00 (EDT)
Ending date time range to filter from.
Format: yyyy-MM-dd'T'HH:mm:ssXXX (ISO 8601). The offset is required and may be any timezone,
either Z for UTC or a ±HH:mm offset. Values are converted to UTC before filtering,
so 2026-03-26T08:00:00Z and 2026-03-26T10:00:00+02:00 select the exact same orders.
Examples: 2026-03-26T08:00:00Z (UTC) / 2026-03-26T10:00:00+02:00 (CEST) / 2026-03-26T04:00:00-04:00 (EDT)
Sort order. Options: asc / desc
"asc"Response Body
application/json
curl -X GET "https://connect.relograde.com/api/1.03/order?startDate=2026-03-25T08%3A00%3A00Z&endDate=2026-03-26T08%3A00%3A00Z&sortOrder=asc"{ "data": [ { "trx": "RELO0TFQK8FXQXSPURS", "priceCurrency": "EUR", "priceAmount": 58.14, "priceVat": 0.23, "priceInclVat": 58.37, "dateCreated": "2025-01-24T11:30:20Z", "paymentStatus": "paid", "type": "api", "reference": "test", "state": "sandbox", "orderStatus": "created", "isBalancePayment": true, "items": [ { "product": { "slug": "amazon-gb-gbp-10", "name": "Amazon.co.uk 10 GBP", "brand": "amazon", "productType": "topup", "region": "ww", "faceValueAmount": 10, "faceValueCurrency": "gbp", "faceValueMin": 5, "faceValueMax": 500, "mainCategory": "giftcard", "redeemType": "service", "isStocked": true }, "amount": 1, "priceCurrency": "eur", "singlePriceAmount": 5.13, "totalPriceAmount": 5.13, "totalPriceVat": 0.03, "totalPriceInclVat": 5.16, "paymentCurrency": "eur", "singlePriceAmountInPaymentCurrency": 5.13, "totalPriceAmountInPaymentCurrency": 5.13, "totalPriceVatInPaymentCurrency": 0.03, "totalPriceInclVatInPaymentCurrency": 5.16, "orderLines": [ { "tag": "TAG-aa440cf5-56c3-44b8-a3b6-10338e527687", "dateCreated": "2025-01-24T11:30:20Z", "brandSlug": "rewarble", "productSlug": "rewarble-ww-eur-5", "productRegion": "ww", "productFacevalueAmount": 5, "productFacevalueCurrency": "eur", "priceAmount": 5.13, "priceCurrency": "eur", "priceVatAmount": 0.03, "priceInclVat": 5.16, "paymentCurrency": "eur", "priceAmountInPaymentCurrency": 5.13, "priceVatAmountInPaymentCurrency": 0.03, "priceInclVatInPaymentCurrency": 5.16, "status": "string", "voucherCode": "string", "voucherSerial": "string", "voucherUrl": "string", "voucherDateExpired": "2019-08-24T14:15:22Z", "token": "6932374Mzsb28kxEzIKCxhgnoHrlUfYEBQt", "redemptionLink": "https://reward.relograde.com/6932374Mzsb28kxEzIKCxhgnoHrlUfYEBQt" } ], "linesCompleted": 1, "productSlug": "rewarble-ww-eur-5", "faceValueAmount": 5, "faceValueCurrency": "eur" } ] } ], "metadata": { "page": 1, "pageSize": 50, "totalItems": 100, "totalPages": 2 }}API health check GET
Returns 200 when the API is operating normally and orders can be placed. Returns 503 when the API is not currently able to process orders. Intended for use as a liveness signal, poll at most once per minute.
Create order POST
Create an order of products. Orders have to be confirmed before they are fully completed.